Subject: bug#57376: 28.1; rcirc-fill-flag ignored after 27->28 upgrade

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 24 Aug 2022 13:45:29 +0200

"Trent W. Buck" <[email-masked]> writes:

> I just upgraded from 1:27.1+1-3.1 to 1:28.1+1-2~bpo11+1.2.
> Now, even though (setq rcirc-fill-flag nil) in my .emacs,
> I am getting hard wrapping.
>
> None of these (evaluated in-buffer with M-:) stopped new messages being
> hard-wrapped at 70 columns:
>
>    (setq rcirc-fill-flag nil)
>    (auto-fill-mode -1)
>    (defun rcirc-markup-fill (x y))  ; nop out this unwanted function
>    (defun rcirc-fill-paragraph (&optional x))  ; nop out this unwanted function

I haven't tested myself, but it seems like the code in this area was
changed by:

commit 849e71fd83fa8796198035464897bf2f28f6226c
Author:     Philip Kaludercic <[email-masked]>
AuthorDate: Wed Jun 9 17:55:55 2021 +0200

    Implement server-time extension
    
    * rcirc.el (rcirc-implemented-capabilities): Add new capability
    (rcirc-print): Insert messages in the right position
    (rcirc-log): Use right time value
    (rcirc-markup-timestamp): Use right time value

In particular, this:

- 	    ;; squeeze spaces out of text before rcirc-text
-	    (fill-region fill-start
-			 (1- (or (next-single-property-change fill-start
-							      'rcirc-text)
-				 rcirc-prompt-end-marker)))

was changed to this:

+              ;; squeeze spaces out of text before rcirc-text
+              (fill-region (point-min) (point-max))

But I don't really know the code well.  Adding Philip to the CCs.